Package org.h2.command

# Class QueryScope

java.lang.Object
org.h2.command.QueryScope

public final class QueryScope extends Object
The scope of identifiers for a query with the WITH clause.

## Field Summary

Fields
Modifier and Type
Field
Description
`final QueryScope`
`parent`
The scope of a parent query with the WITH clause.
`final LinkedHashMap<String,Table>`
`tableSubqueries`
The elements of the WITH list.

## Constructor Summary

Constructors
Constructor
Description
`QueryScope(QueryScope parent)`
Creates new instance of a query scope.

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### parent

public final QueryScope parent
The scope of a parent query with the WITH clause.

### tableSubqueries

public final LinkedHashMap<String,Table> tableSubqueries
The elements of the WITH list.

## Constructor Details

### QueryScope

public QueryScope(QueryScope parent)
Creates new instance of a query scope.

Parameters:
  `parent` - parent scope, or `null`